Subscriber lists
Update a subscriber list
PUT
/
subscriber-lists
/
{id}
Update a subscriber list
curl --request PUT \
--url https://{domain}/api/site/subscriber-lists/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'User-Agent: <api-key>' \
--data '
{
"name": "New List"
}
'import requests
url = "https://{domain}/api/site/subscriber-lists/{id}"
payload = { "name": "New List" }
headers = {
"Authorization": "Bearer <token>",
"User-Agent": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'User-Agent': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'New List'})
};
fetch('https://{domain}/api/site/subscriber-lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 87647751,
"name": "My list",
"created": 1613384738,
"subscribers": 25,
"opens": 0.85,
"clicks": 0.41
}{
"success": false,
"message": "Resource not found"
}Authorizations
Pass your API key as: Authorization: Bearer <API KEY>.
Client identifier sent with requests from the documentation playground.
Path Parameters
The id of the subscriber list.
Example:
87647751
Body
application/json
Example:
"New List"
Response
The updated subscriber list.
Unique list id.
Example:
87647751
List name.
Example:
"My list"
Timestamp in Unix seconds since epoch.
Example:
1613384738
Total number of subscribers in this list.
Example:
25
Open rate (0 to 1).
Example:
0.85
Click rate (0 to 1).
Example:
0.41
Last modified on September 2, 2026
Was this page helpful?
⌘I
Update a subscriber list

